Bug 1024541 - start dirsrv after ntpd
Summary: start dirsrv after ntpd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1024522
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-29 21:47 UTC by Nathan Kinder
Modified: 2020-09-13 20:49 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1024522
Environment:
Last Closed: 2015-03-05 09:31:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
bootchart (367.38 KB, image/svg+xml)
2014-12-26 00:53 UTC, Viktor Ashirov
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 911 0 None None None 2020-09-13 20:49:19 UTC
Red Hat Product Errata RHSA-2015:0416 0 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-10-29 21:47:44 UTC
+++ This bug was initially created as a clone of Bug #1024522 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47574

We should make a change to our initscript to start after ntpd.
{{{
#!/bin/sh
#
# dirsrv    This starts and stops dirsrv
#
# chkconfig:   - 21 79
}}}
ntpd
{{{
#!/bin/bash
#
# ntpd          This shell script takes care of starting and stopping
#               ntpd (NTPv4 daemon).
#
# chkconfig: - 58 74
}}}
Would probably make sense to set the start priority to something like 80.
It's unlikely one needs the dirsrv so early at boot time.

Comment 4 Viktor Ashirov 2014-12-26 00:53:46 UTC
Created attachment 973095 [details]
bootchart

Comment 5 Viktor Ashirov 2014-12-26 00:59:22 UTC
$ rpm -qa | grep 389
389-ds-base-debuginfo-1.3.3.1-10.el7.x86_64
389-ds-base-1.3.3.1-10.el7.x86_64
389-ds-base-libs-1.3.3.1-10.el7.x86_64

Judging by PID numbers and bootchart, ns-slapd starts after ntpd. Marking as VERIFIED.

Comment 7 errata-xmlrpc 2015-03-05 09:31:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.